# Class CIM_DiagnosticResultInPackage

This class is being deprecated. Tests should be grouped at the test level, not by the model. Therefore, this association is no longer appropriate. /n This is an association class that identifies a Diagnostic Result as made up of lower level Results. In this case, the Result identified as the PackageResult reference (i.e., the higher level result) would have its IsPackage property set to TRUE.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_DiagnosticResultInPackage

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Deprecated | string | No value

Description

string

This class is being deprecated. Tests should be grouped at the test level, not by the model. Therefore, this association is no longer appropriate. /n This is an association class that identifies a Diagnostic Result as made up of lower level Results. In this case, the Result identified as the PackageResult reference (i.e., the higher level result) would have its IsPackage property set to TRUE.

UMLPackagePath | string | CIM::System::Diagnostics
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
PackageResult | CIM_DiagnosticResultInPackage | CIM_DiagnosticResult
Result | CIM_DiagnosticResultInPackage | CIM_DiagnosticResult

## Class Methods